Skip to main content
POST
/
api
/
v1
/
projects
Create Project
curl --request POST \
  --url https://api.example.com/api/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "composer_prompt": "<string>",
  "bundle_template": "<string>",
  "mode": "manual"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "status": "<string>",
  "mode": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "composer_prompt": "<string>",
  "bundle_template": "<string>",
  "project_tasks": [],
  "task_count": 0,
  "completed_count": 0,
  "total_budget_usd": 0
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required
Required string length: 1 - 200
description
string | null
composer_prompt
string | null
bundle_template
string | null
mode
string
default:manual

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
title
string
required
status
string
required
mode
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
composer_prompt
string | null
bundle_template
string | null
project_tasks
ProjectTaskOut · object[]
task_count
integer
default:0
completed_count
integer
default:0
total_budget_usd
number
default:0